/*
 * Class DYNAMIC_CHAIN [NATURAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_461 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_461 [] = {0xFF01,237,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_2_461 [] = {0xFF01,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_3_461 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_461 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_461 [] = {0xFF01,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_6_461 [] = {0xFF01,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_7_461 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_461 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_461 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_461 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_461 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_461 [] = {460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_13_461 [] = {0xFF01,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_14_461 [] = {0xFF01,444,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_461 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_461 [] = {0xFF01,436,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_461 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_461 [] = {0xFF01,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_28_461 [] = {0xFF01,460,212,0xFFFF};
static const EIF_TYPE_INDEX egt_29_461 [] = {0xFF01,141,0xFFFF};


static const struct desc_info desc_461[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_461), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_461), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_461), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_461), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_461), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_461), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_461), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_461), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_461), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_461), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_461), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_461), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_461), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_461), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4312, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1870, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1871, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1872, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1873, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1874, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_461), 2336, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_461), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_461), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2540, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2541, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4308, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4313, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2471, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4316, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_461), 2329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4319, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_461), 4314, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_461), 4317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4322, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_461), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4301, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4318, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2332, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_461), 4314, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_461), 4315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4322, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4304, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4304, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4571, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4572, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1935, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2537, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4306, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4573, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4574, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4575, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_461), 3372, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_461), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2327, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2535, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4305, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_461), 4310, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_461), 4311, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4320, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4302, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4307, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_461), 4576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4316, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_461), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_461), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init461(void)
{
	IDSC(desc_461, 0, 460);
	IDSC(desc_461 + 1, 1, 460);
	IDSC(desc_461 + 32, 77, 460);
	IDSC(desc_461 + 41, 243, 460);
	IDSC(desc_461 + 47, 155, 460);
	IDSC(desc_461 + 56, 256, 460);
	IDSC(desc_461 + 59, 30, 460);
	IDSC(desc_461 + 66, 187, 460);
	IDSC(desc_461 + 72, 282, 460);
	IDSC(desc_461 + 81, 99, 460);
	IDSC(desc_461 + 83, 294, 460);
	IDSC(desc_461 + 86, 237, 460);
	IDSC(desc_461 + 88, 329, 460);
	IDSC(desc_461 + 102, 229, 460);
	IDSC(desc_461 + 103, 96, 460);
	IDSC(desc_461 + 111, 184, 460);
	IDSC(desc_461 + 114, 50, 460);
	IDSC(desc_461 + 115, 35, 460);
	IDSC(desc_461 + 116, 172, 460);
}


#ifdef __cplusplus
}
#endif
